﻿namespace TestProject;

/// <summary>
/// 메인 페이지
/// </summary>
public partial class MainPage : ContentPage
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 생성자 - MainPage()

    /// <summary>
    /// 생성자
    /// </summary>
    public MainPage()
    {
        InitializeComponent();

        AbsoluteLayout absoluteLayout = new AbsoluteLayout { Margin = new Thickness(20) };

        BoxView boxView1 = new BoxView { Color = Colors.Silver };

        absoluteLayout.Add(boxView1);

        AbsoluteLayout.SetLayoutBounds(boxView1, new Rect(0, 10, 200, 5));

        BoxView boxView2 = new BoxView { Color = Colors.Silver };

        absoluteLayout.Add(boxView2);

        AbsoluteLayout.SetLayoutBounds(boxView2, new Rect(0, 20, 200, 5));

        BoxView boxView3 = new BoxView { Color = Colors.Silver };

        absoluteLayout.Add(boxView3);

        AbsoluteLayout.SetLayoutBounds(boxView3, new Rect(10, 0, 5, 65));

        BoxView boxView4 = new BoxView { Color = Colors.Silver };

        absoluteLayout.Add(boxView4);

        AbsoluteLayout.SetLayoutBounds(boxView4, new Rect(20, 0, 5, 65));

        Label label = new Label
        {
            Text     = "Stylish Header",
            FontSize = 24
        };

        absoluteLayout.Add(label);

        AbsoluteLayout.SetLayoutBounds(label, new Rect(30, 25, 200, 30));

        Content = absoluteLayout;
    }

    #endregion
}